All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
LShiftC
Logical And Shift Operations

Left shifts the bits of each sample of a signal by a constant amount. More...

## Functions

NppStatus | nppsLShiftC_8u_Ctx (const Npp8u *pSrc, int nValue, Npp8u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit unsigned char signal left shift with constant. More...
NppStatus | nppsLShiftC_8u (const Npp8u *pSrc, int nValue, Npp8u *pDst, int nLength)
NppStatus | nppsLShiftC_16u_Ctx (const Npp16u *pSrc, int nValue, Npp16u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short signal left shift with constant. More...
NppStatus | nppsLShiftC_16u (const Npp16u *pSrc, int nValue, Npp16u *pDst, int nLength)
NppStatus | nppsLShiftC_16s_Ctx (const Npp16s *pSrc, int nValue, Npp16s *pDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit signed short signal left shift with constant. More...
NppStatus | nppsLShiftC_16s (const Npp16s *pSrc, int nValue, Npp16s *pDst, int nLength)
NppStatus | nppsLShiftC_32u_Ctx (const Npp32u *pSrc, int nValue, Npp32u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit unsigned integer signal left shift with constant. More...
NppStatus | nppsLShiftC_32u (const Npp32u *pSrc, int nValue, Npp32u *pDst, int nLength)
NppStatus | nppsLShiftC_32s_Ctx (const Npp32s *pSrc, int nValue, Npp32s *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit signed integer signal left shift with constant. More...
NppStatus | nppsLShiftC_32s (const Npp32s *pSrc, int nValue, Npp32s *pDst, int nLength)
NppStatus | nppsLShiftC_8u_I_Ctx (int nValue, Npp8u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit unsigned char in place signal left shift with constant. More...
NppStatus | nppsLShiftC_8u_I (int nValue, Npp8u *pSrcDst, int nLength)
NppStatus | nppsLShiftC_16u_I_Ctx (int nValue, Npp16u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short in place signal left shift with constant. More...
NppStatus | nppsLShiftC_16u_I (int nValue, Npp16u *pSrcDst, int nLength)
NppStatus | nppsLShiftC_16s_I_Ctx (int nValue, Npp16s *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit signed short in place signal left shift with constant. More...
NppStatus | nppsLShiftC_16s_I (int nValue, Npp16s *pSrcDst, int nLength)
NppStatus | nppsLShiftC_32u_I_Ctx (int nValue, Npp32u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit unsigned signed integer in place signal left shift with constant. More...
NppStatus | nppsLShiftC_32u_I (int nValue, Npp32u *pSrcDst, int nLength)
NppStatus | nppsLShiftC_32s_I_Ctx (int nValue, Npp32s *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit signed signed integer in place signal left shift with constant. More...
NppStatus | nppsLShiftC_32s_I (int nValue, Npp32s *pSrcDst, int nLength)

## Detailed Description

Left shifts the bits of each sample of a signal by a constant amount.

## Function Documentation

NppStatus nppsLShiftC_16s | ( | const Npp16s * | pSrc,
|  | int | nValue,
|  | Npp16s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nValue,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal left shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLShiftC_16s_I | ( | int | nValue,
|  | Npp16s * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_16s_I_Ctx | ( | int | nValue,
|  | Npp16s * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short in place signal left shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLShiftC_16u | ( | const Npp16u * | pSrc,
|  | int | nValue,
|  | Npp16u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_16u_Ctx | ( | const Npp16u * | pSrc,
|  | int | nValue,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short signal left shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLShiftC_16u_I | ( | int | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_16u_I_Ctx | ( | int | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short in place signal left shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLShiftC_32s | ( | const Npp32s * | pSrc,
|  | int | nValue,
|  | Npp32s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nValue,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer signal left shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLShiftC_32s_I | ( | int | nValue,
|  | Npp32s * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_32s_I_Ctx | ( | int | nValue,
|  | Npp32s * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed signed integer in place signal left shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLShiftC_32u | ( | const Npp32u * | pSrc,
|  | int | nValue,
|  | Npp32u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_32u_Ctx | ( | const Npp32u * | pSrc,
|  | int | nValue,
|  | Npp32u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned integer signal left shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLShiftC_32u_I | ( | int | nValue,
|  | Npp32u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_32u_I_Ctx | ( | int | nValue,
|  | Npp32u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned signed integer in place signal left shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLShiftC_8u | ( | const Npp8u * | pSrc,
|  | int | nValue,
|  | Npp8u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_8u_Ctx | ( | const Npp8u * | pSrc,
|  | int | nValue,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char signal left shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLShiftC_8u_I | ( | int | nValue,
|  | Npp8u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsLShiftC_8u_I_Ctx | ( | int | nValue,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char in place signal left shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to left shift each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2020 NVIDIA Corporation